#
# See the file "LICENSE" for the full license governing this code.
#
# ora_install_homes.rb
#
require_relative '../puppet_x/enterprisemodules/ora_install/facts'

# get inventory location
Facter.add('ora_install_inventory_loc') do
  extend PuppetX::EnterpriseModules::OraInstall::Facts
  setcode do
    get_orainst_loc
  end
end

# get ORACLE_HOME info, versions and patches
Facter.add(:ora_install_homes) do
  extend PuppetX::EnterpriseModules::OraInstall::Facts
  setcode do
    homes_hash
  end
end
