#
# See the file "LICENSE" for the full license governing this code.
#
# == define: ora_install::utils::dborainst
#
#  creates oraInst.loc for oracle products
#
#
##
define ora_install::utils::dborainst
(
  Stdlib::Absolutepath $ora_inventory_dir = undef,
  String[1]            $os_group          = undef,
  String[1]            $os_user           = undef,
){

  easy_type::debug_evaluation() # Show local variable on extended debug

  db_directory_structure{"Create oraInst.loc ${title}":
    ensure              => present,
    ora_inventory_dir   => $ora_inventory_dir,
    os_user             => $os_user,
    os_group            => $os_group,
    create_orainst_only => true,
  }

}
